function setCookie(name, value) {
    var date = new Date();
    date.setTime(date.getTime() + (7 * 24 * 60 * 60 * 1000));
    expires = "; expires=" + date.toUTCString();
    document.cookie = name + "=" + (value || "") + expires + "; path=/";
}

async function submitFunc(event) {
    let form = new FormData(event.target);
    form.set('tokenIn', window.localStorage.getItem('token'));
    event.preventDefault();

    let response = await fetch(event.target.action, {
        method: "POST",
        body: form,
    });
    response = await response.json();

    if (response.token) {
        setCookie('token', response.token);
        window.localStorage.setItem('token', response.token);
    }

    let loc = (new URL(window.location)).searchParams.get('to');

    if (loc) {
        window.alert('This page will redirect to ' + loc);
    }
    if (loc && response.redir) {
        window.location.href = loc + '?data=' + encodeURIComponent(JSON.stringify(response));
    } else if (response.redir) {
        window.location.href = response.redir;
    } else if (response.status) {
        alert(response.status);
    }
}

for (let form of document.querySelectorAll('form')) {
    form.addEventListener('submit', submitFunc);
}
